package com.dcit.authority.service.impl;

import com.dcit.authority.dao.SysDictTypeMapper;
import com.dcit.authority.model.SysDictType;
import com.dcit.authority.model.SysDictTypeExample;
import com.dcit.authority.service.SysDictTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysDictTypeServiceImpl implements SysDictTypeService{

    @Autowired
    private SysDictTypeMapper sysDictTypeMapper;


    @Override
    public int countByExample(SysDictTypeExample example) {
        return sysDictTypeMapper.countByExample(example);
    }

    @Override
    public int deleteByExample(SysDictTypeExample example) {
        return sysDictTypeMapper.deleteByExample(example);
    }

    @Override
    public int deleteByPrimaryKey(String dictTypeId) {
        return sysDictTypeMapper.deleteByPrimaryKey(dictTypeId);
    }

    @Override
    public int insert(SysDictType record) {
        return sysDictTypeMapper.insert(record);
    }

    @Override
    public int insertSelective(SysDictType record) {
        return sysDictTypeMapper.insertSelective(record);
    }

    @Override
    public List<SysDictType> selectByExample(SysDictTypeExample example) {
        return sysDictTypeMapper.selectByExample(example);
    }

    @Override
    public SysDictType selectByPrimaryKey(String dictTypeId) {
        return sysDictTypeMapper.selectByPrimaryKey(dictTypeId);
    }

    @Override
    public int updateByExampleSelective(SysDictType record, SysDictTypeExample example) {
        return sysDictTypeMapper.updateByExampleSelective(record,example);
    }

    @Override
    public int updateByExample(SysDictType record, SysDictTypeExample example) {
        return sysDictTypeMapper.updateByExample(record,example);
    }

    @Override
    public int updateByPrimaryKeySelective(SysDictType record) {
        return sysDictTypeMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(SysDictType record) {
        return sysDictTypeMapper.updateByPrimaryKey(record);
    }
}